com.tibbo.aggregate.common.server

## Interface GroupContext<C extends ServerContext>

- All Superinterfaces:
    java.lang.Comparable<C>, Context<C>, EvaluationPoint, GroupContextConstants, ServerContext<C>

      public interface GroupContext<C extends ServerContext>
      extends ServerContext<C>, GroupContextConstants

- - ### Field Summary

    - ### Fields inherited from interface com.tibbo.aggregate.common.server.GroupContextConstants

      `A_CONVERT_TO_STATIC, A_CREATE_NESTED_GROUP, A_DND_RESOURCE_ADDING, A_FILTER, A_MULTIPLE_RESOURCE_ADDING, A_PRO_REMOVE_FROM_GROUP, A_REPLICATE_OR_ADD, F_ADD, F_CALL, F_REMOVE, FIF_ADD_CONTEXT, FIF_CALL_FUNCTION, FIF_CALL_PARAMETERS, FIF_REMOVE_CONTEXT, V_GROUP_INFO, V_GROUP_STATUS, V_GROUP_STATUS_VALUE, V_MEMBER_STATUS, V_MEMBERS, V_REPLICATION, V_STATIC_MEMBERS, VF_GROUP_INFO_MEMBER_TYPE, VF_GROUP_STATUS_VALUE_STATUS, VF_MEMBERS_PATH, VF_REPLICATION_DESCRIPTION, VF_REPLICATION_MASTER, VF_REPLICATION_REPLICATE, VF_REPLICATION_USE_MASTER, VF_REPLICATION_VARIABLE, VF_STATIC_MEMBERS_CONTEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(java.lang.String path)`
    `boolean` | `isHidesMembers()`
    `void` | `memberAdded(ServerContext recursiveMember)`
    `void` | `memberRemoved(ServerContext recursiveMember)`
    `void` | `removeMember(java.lang.String path, boolean failIfDynamic)`
    `void` | `renameMember(java.lang.String oldPath, java.lang.String newPath)`

    - ### Methods inherited from interface com.tibbo.aggregate.common.server.ServerContext

      `addedToGroup, addVisibleChild, alertActivated, alertDeactivated, checkPermissions, createDefaultStatisticsChannels, eventAcknowledged, eventEnriched, getDefaultValue, getDependentContexts, getDependentVariables, getGroups, getMembers, getMembers, getShortDescription, hasVisibleChild, initAction, removedFromGroup, removeVariableValue, removeVisibleChild, setIndex, shouldBeHidden`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.Context

      `accept, addActionDefinition, addAlias, addChild, addEventDefinition, addEventListener, addEventListener, addFunctionDefinition, addVariableDefinition, callFunction, callFunction, callFunction, callFunction, callFunction, callFunction, callFunction, destroy, destroyChild, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, get, get, getActionDefinition, getActionDefinition, getActionDefinitions, getActionDefinitions, getActionDefinitions, getChild, getChild, getChildren, getChildren, getChildrenViewPermissions, getContextManager, getDefaultActionDefinition, getDescription, getEventData, getEventDefinition, getEventDefinition, getEventDefinitions, getEventDefinitions, getEventDefinitions, getEventDefinitions, getEventDefinitions, getEventHistory, getFunctionData, getFunctionDefinition, getFunctionDefinition, getFunctionDefinitions, getFunctionDefinitions, getFunctionDefinitions, getFunctionDefinitions, getFunctionDefinitions, getGroup, getIconId, getIndex, getLocalPrimaryRoot, getLocalRoot, getMappedChildren, getMappedChildren, getName, getParent, getPath, getPeerPath, getPeerRoot, getPermissions, getRemotePath, getRemoteRoot, getRoot, getStatus, getType, getVariable, getVariable, getVariable, getVariableClone, getVariableData, getVariableDefinition, getVariableDefinition, getVariableDefinitions, getVariableDefinitions, getVariableDefinitions, getVariableDefinitions, getVariableDefinitions, getVariableObject, getVisibleChildren, getVisibleChildren, hasMappedChild, hasParent, hasVisibleChild, isContainer, isDistributed, isInitializedChildren, isInitializedEvents, isInitializedFunctions, isInitializedInfo, isInitializedStatus, isInitializedVariables, isInstallationAllowed, isMapped, isProxy, isSetupComplete, isStarted, move, removeActionDefinition, removeChild, removeChild, removeEventDefinition, removeEventListener, removeFunctionDefinition, removeVariableDefinition, setParent, setup, setVariable, setVariable, setVariable, setVariable, setVariable, setVariableField, setVariableField, setVariableField, setVariableField, start, stop, teardown, toDetailedString, updateEventDefinitions, updateFunctionDefinitions, updatePrepare, updateVariableDefinitions`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface com.tibbo.aggregate.common.expression.EvaluationPoint

      `isDebuggingEvaluations, processEvaluation, processEvaluationError`

- - ### Method Detail

    - #### isHidesMembers

          boolean isHidesMembers()

    - #### addMember

          void addMember(java.lang.String path)
                  throws ContextException

      Throws:
        `ContextException`

    - #### removeMember

          void removeMember(java.lang.String path,
                            boolean failIfDynamic)
                     throws ContextException

      Throws:
        `ContextException`

    - #### renameMember

          void renameMember(java.lang.String oldPath,
                            java.lang.String newPath)
                     throws ContextException

      Throws:
        `ContextException`

    - #### memberAdded

          void memberAdded(ServerContext recursiveMember)
                    throws ContextException

      Throws:
        `ContextException`

    - #### memberRemoved

          void memberRemoved(ServerContext recursiveMember)
                      throws ContextException

      Throws:
        `ContextException`